Follow

Which mobile devices can I use to set up and manage my eeros?

eero currently supports both Android and iOS. Your device must also support BLE, so Bluetooth hardware versions earlier than 4.0 aren’t supported.

iOS requirements:

  • Device running iOS 8.0 or later

Android requirements:

  • Device running Android 4.3 or later (tablets included)

In addition to the above requirements, you'll need a data connection on your device to set up your eero network. Once you're set up, you can manage your network over an Internet connection. 

Powered by Zendesk